PHP Manual
Prev |  | Next

# HaruDoc::getInfoAttr

(no version information, might be only in CVS)

HaruDoc::getInfoAttr -- Get current value of the specified document attribute

## Description

string HaruDoc::getInfoAttr ( int type )

Returns the string value of the specified document attribute.

## Parameters

`type`

  The type of the attribute. The following values are available:

  `HaruDoc::INFO_AUTHOR`
  `HaruDoc::INFO_CREATOR`
  `HaruDoc::INFO_TITLE`
  `HaruDoc::INFO_SUBJECT`
  `HaruDoc::INFO_KEYWORDS`
  `HaruDoc::INFO_CREATION_DATE`
  `HaruDoc::INFO_MOD_DATE`

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruDoc::setInfoAttr()
HaruDoc::setInfoDateAttr()

Prev | Home | Next
HaruDoc::getFont | Up | HaruDoc::getPageLayout